Jump to content

RX178

Members
  • Content Count

    1
  • Joined

  • Last visited

Community Reputation

0 Neutral

About RX178

  • Rank
    Just Startin'

Recent Profile Visitors

123 profile views
  1. I am thinking of getting a Line 6 KB37. is it still supported? I downloaded Pod Farm 2.59 but it doesn't install: error message says it needs Mac OS 10.5 or higher, but it is running 10.13.2. Is the Pod Farm still supported? thanks in advance for replies.
×